<template>
	<div
		class="header"
		v-if="userStore.isPcorH"
		:class="{ headerbg: topscroll }">
		<img
			class="1ogo pointer"
			style="height: 51px; width: auto"
			:src="logo"
			alt=""
			@click="gopath('/', 0)" />
		<div class="nuv">
			<!-- -->

			<div
				class="nuv_item pointer"
				:class="{
					active:
						route.path == item.url || route.path == item.url + '/',
				}"
				@click="gopath(item.url, index)"
				v-for="(item, index) in navarr"
				:key="index">
				{{ item.title }}
			</div>
		</div>
		<el-dropdown placement="top-start">
			<el-image
				class="1ogo pointer margin-left90"
				style="height: 28px; width: 28px"
				:src="qiu"
				alt="" />

			<template #dropdown>
				<el-dropdown-menu>
					<el-dropdown-item
						@click="checklang(item.value)"
						v-for="(item, index) in langlist"
						:key="index">
						<p
							:class="{
								'is-active': item.value == locale,
							}">
							{{ item.label }}
						</p>
					</el-dropdown-item>
				</el-dropdown-menu>
			</template>
		</el-dropdown>
	</div>
	<div class="headerh5" v-else :class="{ headerbg: topscroll }">
		<img class="logo pointer" :src="logo" alt="" @click="gopath('/', 0)" />
		<el-icon
			size="32"
			class="pointer"
			:class="topscroll ? 'cardblack' : 'card'"
			@click="drawer = true">
			<Expand />
		</el-icon>
		<el-drawer v-model="drawer" size="80%">
			<template #default>
				<div class="nuvwai">
					<div class="nuv">
						<div
							class="nuv_item pointer"
							:class="{ active: route.path == item.url }"
							@click="gopath(item.url, index)"
							v-for="(item, index) in navarr"
							:key="index">
							{{ item.title }}
						</div>
					</div>
					<div></div>

					<el-dropdown placement="top-start" style="width: 100%">
						<el-image class="qiu pointer" :src="qiu" alt="" />
						<template #dropdown>
							<el-dropdown-menu>
								<el-dropdown-item
									@click="checklang(item.value)"
									v-for="(item, index) in langlist"
									:key="index">
									<p
										:class="{
											'is-active': item.value == locale,
										}">
										{{ item.label }}
									</p>
								</el-dropdown-item>
							</el-dropdown-menu>
						</template>
					</el-dropdown>
				</div>
			</template>
		</el-drawer>
	</div>
</template>

<script setup>
import { defineEmits } from "vue";
import useUserStore from "~/store/index";
import { useI18n } from "vue-i18n";
import { Expand } from "@element-plus/icons-vue";
import { resolvePath } from "@/utils/index.js";
const { locale, t } = useI18n();

const userStore = useUserStore();
// 弹窗
const drawer = ref(false);

const router = useRouter();
const route = useRoute();
const topscroll = ref();
const langlist = ref([
	{
		value: "zh",
		label: "简体中文",
	},
	{
		value: "en",
		label: "ENGLISH",
	},
]);
const checklang = lang => {
	locale.value = lang;
	window.localStorage.setItem("lang", locale.value);
};
const logo = computed(() => {
	return resolvePath("static/images/logo.png");
	// return topscroll.value
	// 	? resolvePath("static/images/logoback.png")
	// 	: resolvePath("static/images/homelogo.png");
});
const qiu = computed(() => {
	if (!userStore.isPcorH) return resolvePath("static/images/diqiublack.png");
	return topscroll.value
		? resolvePath("static/images/diqiublack.png")
		: resolvePath("static/images/diqiu.png");
});
const isdetail = () => {
	return route.path == "/pagecomponents/productDetail";
};

const navarr = reactive([
	{ url: "/", index: 0, title: computed(() => t("home")) },
	{ url: "/about", index: 1, title: computed(() => t("About")) },
	{ url: "/product", index: 2, title: computed(() => t("Product")) },
	{ url: "/technology", index: 3, title: computed(() => t("Technology")) },
	{ url: "/store", index: 4, title: computed(() => t("StoreMode")) },
	{ url: "/together", index: 5, title: computed(() => t("together")) },
	{ url: "/news", index: 5, title: computed(() => t("News")) },
	// { url: "/", index: 6, title: "附近门店" },
]);
const emits = defineEmits(["getactiveindex"]);
const gopath = path => {
	drawer.value = false;
	router.push({ path });
};
onMounted(() => {
	let newlang = window.localStorage.getItem("lang");
	if (newlang) {
		locale.value = newlang;
	}
	window.addEventListener("scroll", () => {
		topscroll.value =
			window.scrollY > 10 ||
			route.path == "/pagecomponents/productDetail";
	});
	topscroll.value = route.path == "/pagecomponents/productDetail";
});
onActivated(() => {
	topscroll.value = route.path == "/pagecomponents/productDetail";
});
</script>
<style scoped lang="scss">
.header {
	height: 88px;
	width: 100%;
	min-width: 1440px;
	position: fixed;
	display: flex;
	align-items: center;
	top: 0;

	left: 0;
	z-index: 100;
	padding: 0 106px;

	// background-color: #000000;
	background-color: rgba(0, 0, 0, 0.35);
	.nuv {
		height: 82px;
		line-height: 82px;
		transition: all 0.5s ease-in-out;
		top: 10px;
		color: #fff;
		text-align: right;
		font-size: 16px;
		min-width: 25%;
		// overflow: hidden;
		margin-left: 15px;
		&_item {
			display: inline-block;
			width: 136px;
			text-align: center;
		}
		.active {
			opacity: 1 !important;
			border-bottom: 6px solid #46bfe5;
		}
	}
}

.is-active {
	color: #40a3ff;
	width: 100%;
}
.headerh5 {
	height: 60px;
	width: 100%;
	padding: 0 15px;
	position: fixed;
	display: flex;
	align-items: center;
	top: 0;
	left: 0;
	z-index: 100;
	background-color: rgba(0, 0, 0, 0.35);
	:deep(.logo) {
		height: 50%;
	}
	.card {
		margin-left: auto;
		color: white;
	}
	.cardblack {
		margin-left: auto;
		color: black;
	}
	.nuv {
		transition: all 0.5s ease-in-out;
		font-size: 0.32rem;
		&_item {
			width: 30%;
			line-height: 1.2rem;
			margin: auto;
			font-size: 0.35rem;
			text-align: center;
		}
		.active {
			opacity: 1 !important;
			border-bottom: 0.1rem solid #46bfe5;
		}
		:deep(.qiuwai) {
			width: 100%;
			display: flex;
			justify-content: center;
			align-items: center;
		}
	}
	:deep(.el-drawer__close) {
		font-size: 0.6rem;
	}
}
.qiu {
	width: 0.8rem;
	margin: auto;
	margin-top: 0.3rem;
}
.headerbg {
	background-color: white;
	color: #000000;
	.nuv_item {
		color: #000000;
	}
}
</style>
